﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II ADJ RS-232 /5502,O_CAL
DATE:                  2018-01-25 07:27:50
AUTHOR:                Fluke
REVISION:              $Revision: 22286 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       178
CONFIGURATION:         Fluke 5502A
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, CAD, DAC
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#        Tektronix THS3000 Series Oscilloscopes
#        Performance Verification and Adjustments
#        Technical Reference
#        077-0606-01
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
#  Required Equipment:
#        Adapter, dual banana plug to BNC(f), Pomona 1269
#        Adapter, dual BNC(f) to BNC(m), Fluke PM 9093, 3 ea
#        Termination, feedthrough, BNC, 50 Ω, Fluke PM 9585
#        Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-6, 4 ea.
#        USB Type A to USB MINI Type B cable
#
#        Accessories supplied with DUT
#        - Power Adapter, 119-7900-00
#        - VPS410-II Voltage Probes (10:1, 500 MHz), red, blue,
#          gray, and green.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5502A        Reset
  1.003  O_CAL        Mode = LeveledSine
  1.003  O_CAL        +Frequency = 151 MHz; Voltage = 0.5 Vpp
  1.004  ENDIF

  1.005  ASK-                        P                                     V

  1.006  IF           NOT(VERSIONCHECK("8.2"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  MATH         @Ver = 0
  1.011  OPBR         -z Is this procedure being re-executed after waiting for
  1.011  OPBR         "Warming-Up and Pre-Calibration" to complete?
  1.012  MATH         @WarmingUpPreCalComplete = MEM1
  1.013  MATH         @THS3000Series = ZCMP(SUB(@UUT_Model, 1, 3), "THS")
  1.014  CALL         Sub Fluke 190II Preliminary Instructions
  1.015  CALL         Sub Fluke 190II Connection RS-232

  1.016  MATH         @HasStatusCmd   = 1
  1.017  MATH         @HasKeyPressCmd = 1

  1.018  CALL         Sub Fluke ScopeMeter Identification RS-232
  1.019  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.020  JMPL         END                          @Abort
  1.021  CALL         Sub Fluke 190II Check Firmware Revision
  1.022  JMPL         END                          @Abort

  1.023  IF           @THS3000Series
  1.024  MATH         @Suffix = SUB(@ModelNum, 6, 2)
  1.025  ELSE
  1.026  MATH         @Suffix = SUB(@ModelNum, 5, 3)
  1.027  ENDIF

  1.028  CALL         Sub Fluke 190II Get Bandwidth & Number of Channels

  1.029  OPBR         -z Do you want to review the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  CALL         Sub Fluke 190II ADJ Required Equipment
  1.032  ENDIF

  1.033  RESET        -c Sub Fluke ScopeMeter Go to Local RS-232

  1.034  IF           NOT(@WarmingUpPreCalComplete)
  1.035  CALL         Sub Fluke 19x Cal Date and Time Setup RS-232
  1.036  JMPL         END                          @Abort
  1.037  CALL         Sub Fluke ScopeMeter Contrast Adjust RS-232
  1.038  JMPL         END                          @Abort

  1.039  DO
  1.040  OPBR         -z Press and hold USER.
  1.040  OPBR
  1.040  OPBR         Press and release CLEAR.
  1.040  OPBR
  1.040  OPBR         Release USER.
  1.040  OPBR
  1.040  OPBR         Is DUT displaying CAL MODE?
  1.041  UNTIL        MEM1

  1.042  ENDIF

  1.043  OPBR         -z Is the DUT displaying "End Precal: READY"?

  1.044  IF           NOT(MEM1)
  1.045  CALL         Sub Fluke 19x Cal Warming-up Setup RS-232
  1.046  ENDIF

  1.047  CALL         Sub Fluke 190II ADJ Determine Final Cal Required RS-232
  1.048  JMPL         END                          @Abort

  1.049  CALL         Sub High Voltage Safety Warning

  1.050  IF           @FinalCalV10_9AndLower
  1.051  CALL         Sub Fluke 190II Final Cal V10.9 & Lower RS-232 /O_CAL
  1.052  ELSE
  1.053  CALL         Sub Fluke 190II Final Cal V11.10 & Later RS-232 /O_CAL
  1.054  ENDIF

  1.055  JMPL         END                          @Abort

  1.056  IF           @FinalCalV10_9AndLower
  1.057  CALL         Sub Fluke 190II Final Cal V10.9 & Lower RS-232 /5502
  1.058  ELSE
  1.059  CALL         Sub Fluke 190II Final Cal V11.10 & Later RS-232 /5502
  1.060  ENDIF

  1.061  JMPL         END                          @Abort

  1.062  HEAD         SAVE CAL DATA
  1.063  HEAD         -2 Saving calibration data, Please Wait....
  1.064  CALL         Sub Fluke ScopeMeter Refresh Calibration RS-232
  1.065  HEAD         -2
  1.066  JMPL         END                          @Abort

  1.067  CALL         Sub Fluke ScopeMeter Instrument Status RS-232
  1.068  JMPL         END                          @Abort

# Status bit 7:  Calibration necessary
  1.069  IF           BIT(7, MEM)
  1.070  DISP         CALIBRATION DATA ARE INVALID!
  1.070  DISP
  1.070  DISP         Turn the DUT off to avoid saving invalid data.
  1.071  END
  1.072  ENDIF

  1.073  CALL         Sub Fluke 190II Probe CAL RS-232

  1.074  LABEL        END

  1.075  IF           @Abort
  1.076  CALL         Sub Fluke ScopeMeter Status RS-232
  1.077  HEAD         A D J U S T M E N T   A B O R T E D
  1.078  ELSE
  1.079  CALL         Sub Fluke ScopeMeter Enter Operational Mode RS-232
  1.080  CALL         Sub Fluke ScopeMeter Reset Instrument RS-232
  1.081  ENDIF

  1.082  END
