﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Cal Adjust Error RS-232 /5502
DATE:                  2017-09-29 09:23:51
AUTHOR:                Fluke
REVISION:              $Revision: 22184 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       138
CONFIGURATION:         Fluke 5502A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Based on the acknowledge response from the DUT, this procedure identifies
# the error for presentation to the operator.

  1.001  MATH         @CalError = 0; @FatalError = 0

# Read DUT acknowledge response from output buffer for status.
  1.002  IF           @CalStep == 201
  1.003  PORT         [T1000000][I]
  1.004  ELSE
  1.005  PORT         [T100000][I]
  1.006  ENDIF

# If errors occurred, query for cal step number and error information.
  1.007  IF           MEM
  1.008  5502A        Standby
# Query for failed step number and error code. Response to is structured:
#   <DDD;DDD><CR>0<CR>
  1.009  PORT         EX 1100[I$][I!]
# Parse query response.
#   Field 1:  Current cal step
#   Filed 2:  Cal step error code
  1.010  MATH         @CalStep  = FLD(MEM2, 1, ";")
  1.011  MATH         @CalError = FLD(MEM2, 2, ";")

# If error code < 5000, cal error occurred and may be re-executed.
  1.012  IF           @CalError < 5000
  1.013  OPBR         -z Cal Error [V @CalError] occurred at CL [V @CalStep]!
  1.013  OPBR
  1.013  OPBR         Check calibrator, cables, etc.
  1.013  OPBR
  1.013  OPBR         Do you want to review the connection picture?

  1.014  IF           MEM1

  1.015  IF           ZCMP(@Picture, "190II_a_input_55_scope")
  1.016  PIC          190II_a_input_55_scope
  1.017  ELSEIF       ZCMP(@Picture, "190II_4ch_b_input_55_scope")
  1.018  PIC          190II_4ch_b_input_55_scope
  1.019  ELSEIF       ZCMP(@Picture, "190II_2ch_b_input_55_scope")
  1.020  PIC          190II_2ch_b_input_55_scope
  1.021  ELSEIF       ZCMP(@Picture, "190II_c_input_55_scope")
  1.022  PIC          190II_c_input_55_scope
  1.023  ELSEIF       ZCMP(@Picture, "190II_d_input_55_scope")
  1.024  PIC          190II_d_input_55_scope
  1.025  ELSEIF       ZCMP(@Picture, "190II_abcd_input_55_scope")
  1.026  PIC          190II_abcd_input_55_scope
  1.027  ELSEIF       ZCMP(@Picture, "190II_ab_input_55_scope")
  1.028  PIC          190II_ab_input_55_scope
  1.029  ELSEIF       ZCMP(@Picture, "190II_abcd_input_55")
  1.030  PIC          190II_abcd_input_55
  1.031  ELSEIF       ZCMP(@Picture, "190II_ab_input_55")
  1.032  PIC          190II_ab_input_55
  1.033  ELSEIF       ZCMP(@Picture, "190II_abcd_input_short")
  1.034  PIC          190II_abcd_input_short
  1.035  ELSEIF       ZCMP(@Picture, "190II_ab_input_short")
  1.036  PIC          190II_abcd_input_short
  1.037  ELSEIF       ZCMP(@Picture, "190II_ab_input_short")
  1.038  PIC          190II_ab_input_short
  1.039  ELSEIF       ZCMP(@Picture, "190II_meter_input_short")
  1.040  PIC          190II_meter_input_short
  1.041  ELSEIF       ZCMP(@Picture, "190II_red_probe_test")
  1.042  PIC          190II_red_probe_test
  1.043  ELSEIF       ZCMP(@Picture, "190II_blue_probe_test")
  1.044  PIC          190II_blue_probe_test
  1.045  ELSEIF       ZCMP(@Picture, "190II_gray_probe_test")
  1.046  PIC          190II_gray_probe_test
  1.047  ELSEIF       ZCMP(@Picture, "190II_green_probe_test")
  1.048  PIC          190II_green_probe_test
  1.049  ELSEIF       ZCMP(@Picture, "THS3000_a_input_55_scope")
  1.050  PIC          THS3000_a_input_55_scope
  1.051  ELSEIF       ZCMP(@Picture, "THS3000_4ch_b_input_55_scope")
  1.052  PIC          THS3000_4ch_b_input_55_scope
  1.053  ELSEIF       ZCMP(@Picture, "THS3000_c_input_55_scope")
  1.054  PIC          THS3000_c_input_55_scope
  1.055  ELSEIF       ZCMP(@Picture, "THS3000_d_input_55_scope")
  1.056  PIC          THS3000_d_input_55_scope
  1.057  ELSEIF       ZCMP(@Picture, "THS3000_abcd_input_55_scope")
  1.058  PIC          THS3000_abcd_input_55_scope
  1.059  ELSEIF       ZCMP(@Picture, "THS3000_abcd_input_55")
  1.060  PIC          THS3000_abcd_input_55
  1.061  ELSEIF       ZCMP(@Picture, "THS3000_abcd_input_short")
  1.062  PIC          THS3000_abcd_input_short
  1.063  ELSEIF       ZCMP(@Picture, "")
  1.064  DISP         Ensure all DUT inputs are OPEN.
  1.065  ELSE
  1.066  DISP         Unidentified picture: [V @Picture]
  1.067  END
  1.068  ENDIF

  1.069  ENDIF        ;   MEM1

# If error code >= 5000, fatal error occurred.
  1.070  ELSE
  1.071  DISP         FATAL ERROR
  1.071  DISP         A fatal error occurred!
  1.071  DISP
  1.071  DISP         The Calibration Adjustment must be repeated.
  1.071  DISP
  1.071  DISP         "Advance" to terminate procedure.
  1.072  MATH         @FatalError = 1
  1.073  ENDIF

  1.074  ENDIF

  1.075  END
